// priority: 0

console.info('Hello, World! (You will only see this line once in console, during startup)')

StartupEvents.registry('item', event => {
	event.create('coffee_ground').displayName('Ground Coffee')
	event.create('coffee_beans_roasted').displayName('Roasted Coffee Beans')
	event.create('metal/double_sheet/electrum').displayName('Double Electrum Sheet')
	event.create('metal/double_sheet/constantan').displayName('Double Constantan Sheet')
	event.create('metal/double_sheet/aluminum').displayName('Double Aluminum Sheet')
	event.create('metal/double_sheet/lead').displayName('Double Lead Sheet')
	event.create('metal/double_sheet/uranium').displayName('Double Uranium Sheet')
	//event.create('soup_base').displayName('Soup Base').food(food => {food.hunger(1).saturation(0).eaten(ctx => {ctx.player.tell(Text.gold('Hhmmm!'))})})
	event.create('raw_cookie').displayName('Raw Cookie').food(food => {food.hunger(1).saturation(0) })//.eaten(ctx => {ctx.player.tell(Text.gold('Yummy Yummy!'))})})
	event.create('silver_carrot').displayName('Silver carrot').food(food => {food.hunger(1).saturation(0) })//.eaten(ctx => {ctx.player.tell(Text.gold('Silver works - Zombie - not today!'))})})
	event.create('silver_apple').displayName('Silver apple').food(food => {food.hunger(1).saturation(0) })//.eaten(ctx => {ctx.player.tell(Text.gold('Silver works - Zombie - not today!'))})})
	event.create('raw_pancake').displayName('Raw Pancake').food(food => {food.hunger(1).saturation(0) })//.eaten(ctx => {ctx.player.tell(Text.gold('Mniaam Miaammm!'))})})
	event.create('pancake').displayName('Pancake').food(food => {food.hunger(3).saturation(0.6) })//.eaten(ctx => {ctx.player.tell(Text.gold('Mniaam Miaammm!'))})})
	event.create('boiled_grass').displayName('Boiled Grass').food(food => {food.hunger(1).saturation(0.25) })//.eaten(ctx => {ctx.player.tell(Text.gold('hmmm boiled grass? Not Bad!'))})})
	event.create('shark_meat').displayName('Shark Raw Meat').food(food => {food.hunger(3).saturation(0.5) })//.eaten(ctx => {ctx.player.tell(Text.gold('Bleee Raw Shark!'))})})
	event.create('shark_cooked_meat').displayName('Shark Cooked Meat').food(food => {food.hunger(7).saturation(1.0) })//.eaten(ctx => {ctx.player.tell(Text.gold('Mniaam Cooked Shark!'))})})
	event.create('frosted_lens').displayName('Frosted Lens')
	event.create('copper_mechanisms').displayName('Copper Mechanisms')
	event.create('plant_foot_l').displayName('Left Plant Foot Protection')
	event.create('plant_foot_r').displayName('Right Plant Foot Protection')
	event.create('plant_foot_bark_l').displayName('Primitive Left Plant Shoe')
	event.create('plant_foot_bark_r').displayName('Primitive Right Plant Shoe')
	event.create('plant_leg').displayName('Trouser Leg of Plant')
	event.create('plant_shirt_part1').displayName('Armlet of Plant')
	event.create('plant_shirt_part2').displayName('Tunic of Plant')
	event.create('pile_carbon_waste').displayName('Pile of Carbon Waste')
	event.create('pile_sulfur_waste').displayName('Pile of Sulfur Waste')
	event.create('sulfur_waste').displayName('Dirty Sulfur Waste Dust')
	event.create('crumbled_rock').displayName('Crumbled Rock')
	event.create('clean_amethyst_powder')
	event.create('nutrimix').displayName('Nutritional Mix')
	event.create('feed_hay').displayName('Feed Hays')
	event.create('feed_meat').displayName('Feed Meats')
	event.create('feed_seed').displayName('Feed Seeds')
	event.create('feed_vege').displayName('Feed Vegetables')
	event.create('feed_fruit').displayName('Feed Fruits')
	event.create('hook').displayName('Metal Hook')
	event.create('rubber').displayName('Rubber')
	event.create('resin').displayName('Resin')
	event.create('slot_pocket').displayName('Additional Slot Pocket')
	event.create('medical_white_powder').displayName('Medical White Powder')
	event.create('medical_red_powder').displayName('Medical Red Powder')
	event.create('medical_green_powder').displayName('Medical green Powder')
	event.create('medical_paste').displayName('Medicinal Herb Paste')
	event.create('cut_tea_leaves').displayName('Cutting Leaves Tea')
	event.create('dry_tea_leaves').displayName('Dry Leaves Tea')
	event.create('cut_cattail').displayName('Cutting Cattail Root')
	event.create('chisel_stone_head').displayName('Chisel Stone Head')
	event.create('chisel_iron_head').displayName('Chisel Iron Head')
	event.create('chisel_rose_gold_head').displayName('Chisel Rose Gold Head')
	event.create('chisel_blue_steel_head').displayName('Chisel Blue Steel Head')
	event.create('chisel_compressed_iron_head').displayName('Chisel Compressed Iron Head')
	event.create('tree_seed_paste').displayName('Tree Seed Paste')
	event.create('bark_paste').displayName('Tree Bark Paste')
	event.create('seed_paste').displayName('Seed Paste')
	event.create('spool_wire').displayName('Spool')
	event.create('sq_ins_copp').displayName('sq_ins_copp')
	event.create('sq_ins_elec').displayName('sq_ins_elec')
	event.create('sq_spool_copper').displayName('sq_spool_copper')
	event.create('sq_spool_gold').displayName('sq_spool_gold')
	event.create('sq_wire_copp').displayName('sq_wire_copp')
	event.create('sq_wire_elec').displayName('sq_wire_elec')
	event.create('sq_wire_reds').displayName('sq_wire_reds')
	event.create('sq_wire_steel').displayName('sq_wire_steel')
	event.create('sq_fluidpipecr').displayName('fluid pipe incomplete')
	event.create('sq_steelpipecr').displayName('steel pipe incomplete')
	event.create('sq_alupipecr').displayName('aluminum pipe incomplete')
	event.create('sq_brasspipecr').displayName('brass pipe incomplete')
	event.create('sq_castpipecr').displayName('cast iron pipe incomplete')
	event.create('sq_fluidpipeie').displayName('fluid pipe incomplete')
	event.create('sq_presstube').displayName('pressure tube incomplete')
	event.create('sq_embpipe').displayName('embedded pipe incomplete')
	event.create('sq_tieless').displayName('tiless incomplete')
	event.create('primitive_glass_pane').displayName('Primitive Glass Pane')
	event.create('raw_platinum').displayName('Raw Platinum')
	event.create('stack_treated_wood').displayName('Stack Treated Wood')
	event.create('big_stack_treated_wood').displayName('Big Stack Treated Wood')
	//event.create('press_head').displayName('Mechanical Press Head')
	//event.create('hardened_press_head').displayName('Hardened Steel Press Head')
	event.create('dust_calorite').displayName('Calorite Raw Material')
	event.create('dust_pure_calorite').displayName('Calorite Pure Dust')
	event.create('dust_ostrum').displayName('Ostrum Raw Material')
	event.create('dust_pure_ostrum').displayName('Ostrum Pure Dust')
	event.create('dust_desh').displayName('Desh Raw Material')
	event.create('dust_pure_desh').displayName('Desh Pure Dust')
	event.create('canoe').displayName('Canoe First Boat')
	event.create('un_casing').displayName('Uncomplete Technic Block')
	event.create('un_sheet').displayName('Uncomplete Technic Item')
	event.create('sugar_mass').displayName('Raw Sugar Mass')
	event.create('hemp_stack').displayName('Stack Hemp Fibers')
	event.create('compressed_double_ingot').displayName('Compressed Iron Double Ingot')
	event.create('compressed_sheet').displayName('Compressed Iron Sheet')
	event.create('compressed_double_sheet').displayName('Compressed Iron Double Sheet')
	event.create('compressed_rod').displayName('Compressed Iron Rod')
	event.create('compressed_mesh').displayName('Compressed Iron Mesh')
	event.create('compressed_wire').displayName('Compressed Iron Wire')
	event.create('seed_biomass').displayName('Seed Biomass')
	event.create('hide_tanned_s').displayName('Small Tanned Hide')
	event.create('hide_tanned_m').displayName('Medium Tanned Hide')
	event.create('hide_tanned_l').displayName('Large Tanned Hide')
	event.create('hide_oiled_s').displayName('Small Oiled Hide')
	event.create('hide_oiled_m').displayName('Medium Oiled Hide')
	event.create('hide_oiled_l').displayName('Large Oiled Hide')
	event.create('hide_finish_s').displayName('Small Leather')
	event.create('hide_finish_m').displayName('Medium Leather')
	event.create('hide_finish_l').displayName('Large Leather')
	event.create('vulcanized_rubber').displayName('Vulcanized Rubber')
	event.create('magic_crystal').displayName('Magic Twilight Crystal')
	event.create('fuel_component').displayName('Rocket Fuel Component')
	event.create('img_arcfurnace').displayName('img_arcfurnace')
	event.create('img_cokker').displayName('img_cokker')
	event.create('img_crusher').displayName('img_crusher')
	event.create('img_derrik').displayName('img_derrik')
	event.create('img_destillation').displayName('img_destillation')
	event.create('img_diesel').displayName('img_diesel')
	event.create('img_excavator').displayName('img_excavator')
	event.create('img_metalpress').displayName('img_metalpress')
	event.create('img_oiltank').displayName('img_oiltank')
	event.create('img_pumpjack').displayName('img_pumpjack')
	event.create('img_refinery').displayName('img_refinery')
	event.create('img_sawmill').displayName('img_sawmill')
	event.create('img_squezzer').displayName('img_squezzer')
	event.create('img_ores').displayName('img_ores')
	event.create('img_wiki').displayName('img_wiki')
	event.create('img_book').displayName('img_book')	
})